program T10Demo1;
{$I Sets.inc}
uses
  Menu1,                    { Uzivatelske menu                          }
  Kernel,                   { Operacni system ReTOS                     }
  uInit,                    { Inicializace                              }
  uExit;                    { Ukonceni                                  }

begin
  PrgInit;                  { Inicialzace                               }
  UserMenu;                 { Spusteni uzivatelskeho menu               }
  SetPriority(1,254);       { Nastaveni priority v o.s.RETOS            }

  repeat                    { Smycka hlavniho procesu                   }
    Wait(4);                { pouze ceka }
  until FlgEnd;             { na nastaveni priznaku ukonceni programu   }

  PrgExit;                  { Ukonceni programu a HW                    }
end.
